aboutsummaryrefslogtreecommitdiffstats
path: root/community/psmisc/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-09-03 00:14:59 +0000
committerJakub Jirutka <jakub@jirutka.cz>2016-09-03 13:13:16 +0200
commitc05bc0aca55e2a882ee640b27071d7fd3b5f6d62 (patch)
tree35394958e48a354dd1dba5cecbf38bb3b4dde09b /community/psmisc/APKBUILD
parent70fbb0cb9375a7cab194c8b5301548448fa2e646 (diff)
downloadaports-c05bc0aca55e2a882ee640b27071d7fd3b5f6d62.tar.gz
aports-c05bc0aca55e2a882ee640b27071d7fd3b5f6d62.tar.bz2
aports-c05bc0aca55e2a882ee640b27071d7fd3b5f6d62.tar.xz
community/psmisc: move from unmaintained and claim maintainership
Diffstat (limited to 'community/psmisc/APKBUILD')
-rw-r--r--community/psmisc/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/community/psmisc/APKBUILD b/community/psmisc/APKBUILD
new file mode 100644
index 0000000000..986d7d2b55
--- /dev/null
+++ b/community/psmisc/APKBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=psmisc
+pkgver=22.21
+pkgrel=0
+pkgdesc="A set of some small useful utilities that use the proc filesystem"
+url="http://psmisc.sourceforge.net/"
+arch="all"
+license="BSD GPL"
+depends=""
+makedepends="ncurses-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/psmisc/psmisc-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="935c0fd6eb208288262b385fa656f1bf psmisc-22.21.tar.gz"
+sha256sums="97323cad619210845b696d7d722c383852b2acb5c49b5b0852c4f29c77a8145a psmisc-22.21.tar.gz"
+sha512sums="766aeb45687090b88b17176c5117a603e83fe92a13c013aea72c8ee80048adf02e18c7daa52ddfb8b2135f7c9a1bcae38896cdfb8d0158728d85a446c5e0d5ae psmisc-22.21.tar.gz"